package com.yihu.wlyy.entity.consult;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 三师咨询日志表
 * @author George
 *
 */

@Entity
@Table(name = "wlyy_consult_team_log")
public class ConsultTeamLog extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3678031205910236039L;

	// 咨询标识
	private String consult;
	// 回复医生标识
	private String doctor;
	// 回复医生姓名
	private String doctorName;
	// 回复人头像
	private String photo;
	// 回复内容/追问内容
	private String content;
	// 类型，0问，1回复，2追问，3评价
	private Integer type;
	// 记录类型：1文字，2图片，3语音
	private Integer chatType;
	// 操作时间
	private Date czrq;
	// 作废标识，1正常，0作废
	private String del;

	public ConsultTeamLog() {

	}

	public String getConsult() {
		return consult;
	}

	public void setConsult(String consult) {
		this.consult = consult;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@Column(name = "chat_type")
	public Integer getChatType() {
		return chatType;
	}

	public void setChatType(Integer chatType) {
		this.chatType = chatType;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@Column(name = "doctor_name")
	public String getDoctorName() {
		return doctorName;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
