/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository.charge;

import com.yihu.wlyy.entity.charge.WlyyCharge;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;


import java.util.Date;
import java.util.List;

public interface ChargeDao extends PagingAndSortingRepository<WlyyCharge, Long>, JpaSpecificationExecutor<WlyyCharge> {

    List<WlyyCharge> findByChargeTypeAndChargeRelation(String chargeType, String chargeRelation);

    /**
     * 根据签约code查询缴费成功的流水号
     *
     * @param chargeRelation
     * @return
     */
    @Query("select a from WlyyCharge a where a.chargeRelation = ?1 and a.tradeStatus = '0'")
    WlyyCharge findByChargeRelation(String chargeRelation);

    /**
     * 根据code查询支付情况
     *
     * @param chargeCode
     * @return
     */
    @Query("select a from WlyyCharge a where a.code = ?1 ")
    WlyyCharge findByCode(String chargeCode);

    /**
     * 根据code查询上传状态 为0不需要更改数据
     *
     * @param code
     * @return
     */
    @Query("select a from WlyyCharge a where a.code = ?1 ")
    WlyyCharge getUploadStatus(String code);

    /**
     * 根据code更新wlyy_charge数据
     *
     * @param chargeCode
     * @return
     */
    @Modifying
    @Query("update WlyyCharge a set a.tradeStatus = ?9,a.chargeTime = ?2, a.updateTime = ?3, a.totalAmount = ?4, " +
            " a.insuranceAmount = ?5, a.selfpayAmount =?6 ,a.billNo = ?7, a.miRegisterNo = ?8 where a.code = ?1 ")
    WlyyCharge updateByChargeCode(String chargeCode, String chargeTime, Date updateTime, Integer totalAmount, Integer insuranceAmount, Integer selfPayAmount, String billNo, String miRegisterNo,String tradeStatus);

    List<WlyyCharge> findByPatient(String patient, Pageable pageRequest);
}
